
Isuzu Engine Manufacturing Co.,(Thailand) Ltd.  - Parent project #937

[PJ210034] GT20Q-SB Battery

11 Apr 2025 13:24 - Karnthida Wannasiwaporn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 13:27 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 11:13 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed

- Start date deleted (11 Apr 2025)
